Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Interface IContainerProvider

public interface IContainerProvider

An interface that allows the portal to iterate over a backend directory structure.

Method Summary
`IContainer` | `attachToContainer(java.lang.String containerLocation, ChildRequestHint hint, java.lang.String locale)` Returns a specific container for further querying.
`void` | `initialize(DataSourceInfo dataInfo, CrawlerInfo crawlerInfo, ICrawlerLog logger)` Sets up any resources required during the execution of the crawl.
`void` | `shutdown()` Cleans up any resources used by the crawler.

Method Detail

### initialize

    public void initialize(DataSourceInfo dataInfo,
                           CrawlerInfo crawlerInfo,
                           ICrawlerLog logger)
                    throws ServiceException

  Sets up any resources required during the execution of the crawl.

  Parameters:
    `dataInfo` - SCI information set in the Data Source editor. Note: The names in the `NamedValue`s in `dataInfo` will be uppercase.
    `crawlerInfo` - SCI information set in the Crawler editor. Note that the names in the `NamedValue`s in `crawlerInfo` will be uppercase.
    `logger` - an implementation of a logging utility object; save this object to use it later
  Throws:
    `ServiceException` - if an error occurred

### attachToContainer

    public IContainer attachToContainer(java.lang.String containerLocation,
                                        ChildRequestHint hint,
                                        java.lang.String locale)
                                 throws ServiceException

  Returns a specific container for further querying.

  Parameters:
    `containerLocation` - the path to the requested container. The first call to attachToContainer uses the value from `CrawlerConstants.TAG_PATH`, which should be set in the Crawler editor in the portal. Subsequent calls use the location values returned by `IContainer.getChildContainers`.
    `hint` - a `ChildRequestHint` indicating what type of query the portal will do
    `locale` - the locale information to pass to the backend
  Returns:
    an implementation of the `IContainer` interface
  Throws:
    `NoLongerExistsException` - if the container has been removed
    `NotAvailableException` - if the container is temporarily unavailable
    `NotInitializedException` - if the `IContainerProvider` is in an uninitialized state
    `AccessDeniedException` - if access to this container is denied
    `ServiceException` - if an error occurred

### shutdown

    public void shutdown()
                  throws ServiceException

  Cleans up any resources used by the crawler.

  Throws:
    `ServiceException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.